org.w3._2000._09.xmldsig

## Class Object

- java.lang.Object
- - org.w3._2000._09.xmldsig.Object

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:48:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class Object
      extends Object
      implements Serializable

  Java class for ObjectType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ObjectType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence maxOccurs="unbounded" minOccurs="0">
               <any processContents='lax'/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="Encoding" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Object()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getContent()` Gets the value of the content property.
    `String` | `getEncoding()` Gets the value of the encoding property.
    `String` | `getId()` Gets the value of the id property.
    `String` | `getMimeType()` Gets the value of the mimeType property.
    `void` | `setEncoding(String value)` Sets the value of the encoding property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setMimeType(String value)` Sets the value of the mimeType property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Object

          public Object()

  - ### Method Detail

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `String` `Element`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMimeType

          public String getMimeType()

      Gets the value of the mimeType property.
      Returns:
        possible object is `String`

    - #### setMimeType

          public void setMimeType(String value)

      Sets the value of the mimeType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEncoding

          public String getEncoding()

      Gets the value of the encoding property.
      Returns:
        possible object is `String`

    - #### setEncoding

          public void setEncoding(String value)

      Sets the value of the encoding property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.